part of mapmyindia_gl;

class MapmyIndiaMapConfiguration {
  static Future<void> setShowLastSelectedStyle(
      bool showLastSelectedStyle) async {
    try {
      await global.setShowLastSelectedStyle(showLastSelectedStyle);
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<bool> isShowLastSelectedStyle() async {
    try {
      return await global.isShowLastSelectedStyle();
    } catch (ex) {
      return true;
    }
  }

  static Future<void> setDeveloperShowingSplash(
      bool developerShowingSplash) async {
    try {
      await global.setDeveloperShowingSplash(developerShowingSplash);
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<bool> isDeveloperShowingSplash() async {
    try {
      return await global.isDeveloperShowingSplash();
    } catch (ex) {
      return true;
    }
  }

  static Future<void> setClusterId(String? clusterId) async {
    try {
      await global.setClusterId(clusterId);
    } catch (ex) {
      Future.error(ex);
    }
  }

  static Future<String?> getClusterId() async {
    try {
      return await global.getClusterId();
    } catch (ex) {
      Future.error(ex);
    }
  }
}
